cURL
curl --request PATCH \ --url https://staging-vouchers.ventogram.com/api/v1/vouchers \ --header 'Content-Type: application/json' \ --header 'X-Api-Key: <api-key>' \ --header 'X-Api-User: <api-key>' \ --data ' { "email": "<string>", "voucherCode": "<string>" } '
{ "success": true, "message": "<string>", "data": { "id": "<string>", "email": "<string>", "voucherCode": "<string>", "amount": 123, "fee": 123, "wavedFee": 123, "merchant": "<string>", "currency": "NGN", "feeBearer": "client", "toAmount": 123, "fromAmount": 123, "fromCurrency": "<string>", "toCurrency": "<string>", "rate": 123, "previousBalance": 123, "currentBalance": 123 } }
Redeems an existing unused voucher
Documentation IndexFetch the complete documentation index at: https://docs.getpartna.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
Use this file to discover all available pages before exploring further.
Email that was used to create the voucher
Voucher code to be redeemed
successful operation
true
Show child attributes
Was this page helpful?